## libctk 3.0.24

=== examples/Makefile ===
SRCS    := assert.c clist.c labelwrap.c lots.c om.c table.c
TARGETS := $(SRCS:%.c=%)
CFLAGS	+= -I/usr/lib/glib/include
LIBS    := ../ctk/.libs/libctk.a -larr -lgpm -lglib
#LIBS    := -lctk

all:	$(TARGETS)

clean:
	rm -f $(TARGETS)

%:	%.c
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

%.c:	%.c.gz
	gzip -dc $< >$@
