=== debian/changelog ===
libctk (3.0.24) unstable; urgency=low

  * added build-dep for libtool (closes: #104304)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Wed, 11 Jul 2001 09:38:55 -0700

libctk (3.0.23) unstable; urgency=low

  * rebuilt with non-broken dpkg

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Mon,  9 Jul 2001 22:25:16 -0700

libctk (3.0.22) unstable; urgency=low

  * updated config.guess and config.sub for hppa and ia64 happiness.
  * added libctk-dev and libctk3-dev dependency on libglib1.2-dev (closes: #97871)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Fri,  6 Jul 2001 13:32:19 -0700

libctk (3.0.21) unstable; urgency=low

  * added automake and autoconf to build-depends

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Sat, 24 Feb 2001 23:58:11 -0800

libctk (3.0.20) unstable; urgency=low

  * First upload of the new version into debian

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Sat, 11 Nov 2000 11:20:27 -0800

libctk (3.0.19) unstable; urgency=low

  * Made ctk more aggresive about obtaining a console file descriptor under
    kon. Hopefully we'll always get one now.

 -- Wesley W. Terpstra <terpstra@iota.dhs.org>  Thu,  7 Sep 2000 14:01:01 -0700

libctk (3.0.18) unstable; urgency=low

  * Made the gpmdata opening routine very smart - it looks for kon, and
    figures out what VT it's on. Then we only read gpmdata if you have kon
    and are on it's VT. It's linux specific, but there's no more failure
    cases. Someone else can #ifdef it.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 31 Aug 2000 20:03:40 -0700

libctk (3.0.17) unstable; urgency=low

  * Row deletion in a clist was off by one. 
  * Clist select_row replaced by colour row.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 31 Aug 2000 15:39:49 -0700

libctk (3.0.16) unstable; urgency=low

  * Fixed a *small* *tiny* bug where option menus could under *very* *rare*
    cases seem visible when in an *unusually* packed scrolledwindow.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 30 Aug 2000 18:25:52 -0700

libctk (3.0.15) unstable; urgency=low

  * Remove clist selection signal generation on focus loss

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 30 Aug 2000 15:18:01 -0700

libctk (3.0.14) unstable; urgency=low

  * Relinked against arr with new acs defines
  * Use int for wider graphical chars

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 25 Aug 2000 11:55:00 -0700

libctk (3.0.13) unstable; urgency=low

  * Was missing the down arrow in scrolledwindows b/c it wasn't acs'ed!

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 23 Aug 2000 18:01:10 -0700

libctk (3.0.12) unstable; urgency=low

  * No more beeping when initing the mouse
  * We unflock gpmdata now

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Tue, 22 Aug 2000 19:11:41 -0700

libctk (3.0.11) unstable; urgency=low

  * Fixed the removal of the old directory that prevented install

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Tue, 22 Aug 2000 12:16:39 -0700

libctk (3.0.10) unstable; urgency=low

  * Include actual example files now
  * We double check that the symlink gets created

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon, 21 Aug 2000 12:27:04 -0700

libctk (3.0.9) unstable; urgency=low

  * Made the gpmdata mouse handling a little more clever. Still has some
    failure cases, however.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 18 Aug 2000 12:46:27 -0700

libctk (3.0.8) unstable; urgency=low

  * Removed a reference to arr_scr that somehow made it in and recompiled
    against arr where all the internals are hidden.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 17 Aug 2000 16:49:03 -0700

libctk (3.0.7) unstable; urgency=low

  * Cutting and pasting in editables fixed.

 -- Chris L. Bond <cbond@stormix.com>  Mon, 14 Aug 2000 12:09:57 -0700

libctk (3.0.6) unstable; urgency=low

  * Rebuild of ctk with new NON-MACRO arr links! :-)
  * Redraw on set of inverse colour and reset of colour so multibyte
    leaves no residue. Also, re-ordering drawing which my intuition said
    is what left multibyte ctk mouse drops on click.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 11 Aug 2000 12:14:03 -0700

libctk (3.0.5) unstable; urgency=low

  * We now listen on /dev/gpmdata as well. We emulate a mouse cursor from
    this. That way if we're running under kon it appears we have gpm. ;-)

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 10 Aug 2000 22:13:16 -0700

libctk (3.0.4) unstable; urgency=low

  * Added an initializer of CTK_CLEAN_REDRAW for complete screen redraws
    as may be necessary on weird multibyte terminals ... like kon.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 10 Aug 2000 18:38:18 -0700

libctk (3.0.3) unstable; urgency=low

  * Made stdinTag and gpmTag available to people who REALLY need it...

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 10 Aug 2000 17:31:15 -0700

libctk (3.0.2) unstable; urgency=low

  * ctk_set_locale actually does stuff now.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Tue,  8 Aug 2000 16:29:51 -0700

libctk (3.0.1) unstable; urgency=low

  * Fixed a rather serious bug in the wrapping algorithm

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon,  7 Aug 2000 16:16:20 -0700

libctk (3.0.0) unstable; urgency=low

  * Totally new packaging & versioning. Happily libtool like.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon, 31 Jul 2000 14:51:54 -0700

libctk (2.0-43) unstable; urgency=low

  * Added a timeout function for registering periodic events as per gtk

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 26 Jul 2000 20:23:52 -0700

libctk (2.0-42) unstable; urgency=low

  * Clist selection moves as you drag.
  * Scrolled windows only drag on the bars.
  * Scrolled window bars drag only on one axis.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 26 Jul 2000 15:28:14 -0700

libctk (2.0-41) unstable; urgency=low

  * Yes more hacks to make ctk radio buttons exactly like gtk


