=== debian/control ===
Source: libctk
Priority: optional
Section: libs
Maintainer: Pete Lypkie (Debian) <plypkie@debian.org>
Standards-Version: 3.1.1
Build-Depends: libgpmg1-dev, libglib1.2-dev, libarr-dev, debhelper, automake, autoconf, libtool

Package: libctk3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Console Tool Kit
 Console Tool Kit is a toolkit for writing textbased GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package contains the runtime files needed by programs linked to ctk.

Package: libctk3-dev
Section: devel
Architecture: any
Depends: libctk3 (= ${Source-Version}), libc6-dev, libarr-dev, libglib1.2-dev
Description: Console Tool Kit, development files
 Console Tool Kit is a toolkit for writing textbased GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package is for developing specifically with ctk death count 3.

Package: libctk-dev
Section: devel
Architecture: any
Depends: libctk3-dev (= ${Source-Version}), libc6-dev, libarr-dev, libglib1.2-dev
Description: Console Tool Kit, development symbolic links
 Console Tool Kit is a toolkit for writing textbased GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package is for developing with the latest ctk.
