## libctk 3.0.24.4

=== debian/changelog ===
libctk (3.0.24.4) unstable; urgency=low

  * QA Upload
  * Fix override disparity: libctk-dev and libctk3-dev are in section
    libdevel
  * Remove CVS/ directories from source

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 15 Feb 2004 18:47:04 +0100

libctk (3.0.24.3) unstable; urgency=low

  * QA upload
  * rerun all the autotools to fix build failure on arm (Closes: #230815)

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 15 Feb 2004 17:28:18 +0100

libctk (3.0.24.2) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/control: corrected spelling mistakes in package descriptions
  (Closes: #124926 #124927 #124928)
  * debian/changelog: removed emacs tags
  * debian/copyright: de-dh_make-boilerplated

 -- Andrew Pollock <apollock@debian.org>  Sat, 31 Jan 2004 11:21:03 +1100

libctk (3.0.24.1) unstable; urgency=low

  * Non-maintainer upload.
  * The "SEAT MAKINERO" release, DebCamp^3, Oslo.
  * debian/rules: Added SED=/bin/sed variable to ${MAKE}. This fix the RC bug
    (closes: #150235).

 -- David Martnez Moreno <ender@debian.org>  Mon, 14 Jul 2003 00:59:57 +0200
