=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 	(cd ctk && chmod +x autogen.sh config.guess config.sub install-sh \
 		ltconfig missing mkinstalldirs)
-	(cd ctk && automake && autoconf && ./configure --prefix=/usr && $(MAKE))
+	(cd ctk && automake && autoconf && ./configure --prefix=/usr && SED=/bin/sed $(MAKE))
 	
 	touch build-stamp
