## libctk 3.0.24.6

=== debian/changelog ===
libctk (3.0.24.6) unstable; urgency=low

  * QA Upload.
  * debian/rules (build): Use DEB_BUILD_GNU_TYPE and
  DEB_HOST_GNU_TYPE, and get them from dpkg-architecture.  Don't run
  autotools on every build.  Touch autogenerated files so that they don't
  get accidentally run.  Closes: #265102.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 11 Aug 2004 12:59:34 -0700

libctk (3.0.24.5) unstable; urgency=low

  * QA Upload.
  * debian/control: Mention in the description of libctk3-dev that the
    real package to install is libctk-dev.  Build-Depends on automaken
    instead of specific version.  
  * ctk/Makefile.am: use AM_CFLAGS instead of CFLAGS.
  * ctk/depcomp: New file, from automake 1.7.
  * ctk/missing: Update from automake 1.7.
  * ctk/ltmain.sh: Update from libtool 1.5.6.
  * Rerun autotools.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  8 Aug 2004 15:31:13 -0700
