=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.1.1
-Build-Depends: libgpmg1-dev, libglib1.2-dev, libarr-dev, debhelper, automake1.4, autoconf2.13, libtool
+Build-Depends: libgpmg1-dev, libglib1.2-dev, libarr-dev, debhelper, automaken, autoconf2.13, libtool
 
 Package: libctk3
 Section: libs
@@ -23,7 +23,9 @@
  Console Tool Kit is a toolkit for writing text-based GUIs. The syntax is
  almost the same as GTK+. It provides mouse support on the console through
  gpm.
- This package is for developing specifically with ctk death count 3.
+ This package is for developing specifically with ctk death count 3.  You
+ should normally not install this package directly; install libctk-dev 
+ instead which will get you the current libctk death count.
 
 Package: libctk-dev
 Section: libdevel
