=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=1
 
+export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 dc       := ${shell cat ctk/configure.in | egrep "^CTK_DEATH_COUNT=[0-9]+$$" | cut -d= -f2}
 current  := ${shell cat ctk/configure.in | egrep "^CTK_CURRENT=[0-9]+$$"     | cut -d= -f2}
 age      := ${shell cat ctk/configure.in | egrep "^CTK_AGE=[0-9]+$$"         | cut -d= -f2}
@@ -17,10 +20,12 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-
+	
 	(cd ctk && chmod +x autogen.sh config.guess config.sub install-sh \
 		ltconfig missing mkinstalldirs)
-	(cd ctk && automake && autoconf && ./configure --prefix=/usr && SED=/bin/sed $(MAKE))
+	(cd ctk && touch configure.in aclocal.m4 configure)
+	(cd ctk && ./configure --build=$(DEB_BUILD_GNU_TYPE) \
+	  --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr && SED=/bin/sed $(MAKE))
 	
 	touch build-stamp
